### Method

# EBackend SourceRegistryServer ref_backend_factory

since: 3.6

#### Declaration [src]

    ECollectionBackendFactory*
    e_source_registry_server_ref_backend_factory (
      ESourceRegistryServer* server,
      ESource* source
    )

#### Description [src]

Returns the `ECollectionBackendFactory` for `source`, if available. If `source` does not have an `ESourceCollection` extension, or if the `ESourceCollection` extension names an `ESourceBackend:backend-name` for which there is no corresponding `ECollectionBackendFactory`, the function returns `NULL`.

The returned `ECollectionBackendFactory` is referenced for thread-safety. Unreference the `ECollectionBackendFactory` with `g_object_unref()` when finished with it.

Available since: 3.6

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `ECollectionBackendFactory`

The `ECollectionBackendFactory` for `source`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.